from pyramid.config import Configurator
from pyramid.settings import asbool
from CLMCservice.views import AggregatorConfig


def main(global_config, **settings):
    """ This function returns a Pyramid WSGI application."""

    # a conversion is necessary so that the configuration value of the aggregator is stored as bool and not as string
    aggregator_running = asbool(settings.get('aggregator_running', 'false'))
    settings['aggregator_running'] = aggregator_running

    config = Configurator(settings=settings)

    config.add_route('aggregator', '/aggregator')
    config.add_view(AggregatorConfig, attr='get', request_method='GET')
    config.add_view(AggregatorConfig, attr='post', request_method='POST')

    config.scan()
    return config.make_wsgi_app()
